最新消息:20210816 当前crifan.com域名已被污染,为防止失联,请关注(页面右下角的)公众号

【整理】Django最新2.1版本后不支持MySql 5.5

版本 crifan 185浏览 0评论
折腾:
【记录】Mac中搭建本地Django开发环境
期间,在研究Django,发现:
对于mysql数据库来说,driver用mysqlclient,要参考:
Databases | Django documentation | Django
看到了:
“Django supports MySQL 5.6 and higher.”
而此处服务器上myslq貌似版本只有5.5?
[[email protected] ~]# mysql --version
mysql  Ver 15.1 Distrib 5.5.56-MariaDB, for Linux (x86_64) using readline 5.1
mac本地是5.7:
➜  output mysql --version
mysql  Ver 14.14 Distrib 5.7.22, for macos10.13 (x86_64) using  EditLine wrapper
难道Django最新版2.0之后,不支持mysql 5.5了?
最低只支持5.6?
django mysql not support 5.5 ?
drop support for MySQL 5.5 in Django 2.0? – Google Groups
不过感觉应该不用太担心
等后面部署到服务器时,提示不支持,或者有问题,再说。
django – is there a way to use Pytion3, django2.0.2 and MySql together on ubuntu? – Stack Overflow
Migrating MySQL DB version 5.6 to 5.5 (Django) structure dump import fails – Stack Overflow
另外,还知道:之前某个Django的项目,是可以在服务器中正常运行的
去看了看其版本:
Django==2.0.6
Django版本是2.0.6
应该也是不支持mysql  5.5了
不过此处服务器的中的版本信息中的
5.5.56-MariaDB
是否和mysql 5.5是完全等价的
另外:
https://groups.google.com/forum/#!topic/django-developers/XXqGQH6BSpY
中也解释了原因:
MySQL 5.5本身的寿命终点是:2018年12月
而Django有个传统:会在某个数据库寿命终结之前,放弃支持。
所以此处是打算在Django 2.1,2018年8月发布,中放弃MySQL 5.5
且Django团队也没有在其CI持续集成中去支持MySQL 5.5的测试,且在本地测试发现GIS的测试MySQL 5.5是有问题的。
-》甚至大家都觉得需要在Django 2.0版本中放弃支持MySQL 5.5的
-》且也觉得,如果还在用MySQL 5.5的话,那么也十有八九还在用Django的1.1旧版本呢
把Django的官网文档从最新的2.1
换到之前的2.0:
看看MySQL版本支持,果然是支持5.5的:
“Version support
Django supports MySQL 5.5 and higher.”
-》所以就是:
如果想要服务器端继续试用MySQL 5.5的话,则:
Django就只能用2.0,不能用2.1了
-》感觉更好的做法是:
升级服务器中的数据库的版本,从MySQL 5.5升级到最新的5.7之类的,虽然不是最新,但是稍微新一点的版本
【整理】MariaDB 5.5和MySQL 5.5的区别

转载请注明:在路上 » 【整理】Django最新2.1版本后不支持MySql 5.5

发表我的评论
取消评论

表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
84 queries in 0.121 seconds, using 20.54MB memory